# Method: organizations.contacts.sendTestMessage

- [HTTP request](https://docs.cloud.google.com/resource-manager/docs/reference/essentialcontacts/rest/v1beta1/organizations.contacts/sendTestMessage#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/resource-manager/docs/reference/essentialcontacts/rest/v1beta1/organizations.contacts/sendTestMessage#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/resource-manager/docs/reference/essentialcontacts/rest/v1beta1/organizations.contacts/sendTestMessage#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/resource-manager/docs/reference/essentialcontacts/rest/v1beta1/organizations.contacts/sendTestMessage#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/resource-manager/docs/reference/essentialcontacts/rest/v1beta1/organizations.contacts/sendTestMessage#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/resource-manager/docs/reference/essentialcontacts/rest/v1beta1/organizations.contacts/sendTestMessage#body.aspect)
- [Try it!](https://docs.cloud.google.com/resource-manager/docs/reference/essentialcontacts/rest/v1beta1/organizations.contacts/sendTestMessage#try-it)

Allows a contact admin to send a test message to contact to verify that it has been configured correctly.

### HTTP request

`POST https://essentialcontacts.googleapis.com/v1beta1/{resource=organizations/*}/contacts:sendTestMessage`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `resource` | `string` Required. The name of the resource to send the test message for. All contacts must either be set directly on this resource or inherited from another resource that is an ancestor of this one. Format: organizations/{organization}, folders/{folder} or projects/{project} (where {project} is the project number) |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "contacts": [ string ], "notificationCategory": enum (`https://docs.cloud.google.com/resource-manager/docs/reference/essentialcontacts/rest/v1beta1/folders.contacts#Contact.NotificationCategory`) } ``` |

| Fields ||
|---|---|
| `contacts[]` | `string` Required. The list of names of the contacts to send a test message to. Format: organizations/{organization}/contacts/{contact}, folders/{folder}/contacts/{contact} or projects/{project}/contacts/{contact} (where {project} is the project number) Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `contacts`: - `essentialcontacts.contacts.send` |
| `notificationCategory` | ``enum (`https://docs.cloud.google.com/resource-manager/docs/reference/essentialcontacts/rest/v1beta1/folders.contacts#Contact.NotificationCategory`)`` Required. The notification category to send the test message for. All contacts must be subscribed to this category. |

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).